---
title: "Suggestions search"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › search

`GET /v2/search/suggestions`

## Query parameters

- `field` (`search-suggestions.query.field`; string, required) — The field to get suggestions for
  - one of `"skills"`, `"jobTitles"`, `"companies"`, `"locations"`
- `query` (`search-suggestions.query.query`; string, required) — Search query for suggestions
  - minLength 1
- `limit` (`search-suggestions.query.limit`; number, optional) — Maximum suggestions to return
  - min 1; max 50; default `10`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/search/suggestions?field=skills&query=string'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/search/suggestions?field=skills&query=string';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/search/suggestions?field=skills&query=string"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "suggestions": [
    "string"
  ]
}
```

- `suggestions` (`search-suggestions.response.200.suggestions`; array<string>, required)

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`search-suggestions.response.400.error`; object, required)
  - `code` (`search-suggestions.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`search-suggestions.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`search-suggestions.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`search-suggestions.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`search-suggestions.response.401.error`; object, required)
  - `code` (`search-suggestions.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`search-suggestions.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`search-suggestions.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`search-suggestions.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`search-suggestions.response.403.error`; object, required)
  - `code` (`search-suggestions.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`search-suggestions.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`search-suggestions.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`search-suggestions.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`search-suggestions.response.422.error`; object, required)
  - `code` (`search-suggestions.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`search-suggestions.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`search-suggestions.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`search-suggestions.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`search-suggestions.response.500.error`; object, required)
  - `code` (`search-suggestions.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`search-suggestions.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`search-suggestions.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`search-suggestions.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`search-suggestions.response.503.error`; object, required)
  - `code` (`search-suggestions.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`search-suggestions.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`search-suggestions.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`search-suggestions.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/search-suggestions/index.md
